import { Request, Response, NextFunction } from 'express';
import Profile, { Role } from "../../models/ProfileSchema";

const addUser = () => (req: Request, res: Response, next: NextFunction) => {
  const profile = new Profile();
  
  const fields = ['studentCardNumber', 'roomNumber', 'picture'];
  fields.forEach(field => {
    const value = req.body[field]
    if(value)
      profile.set(field, value);
  });
  
  profile.external_id = req.session!.user!.id;
  profile.role = Role.User;
  
  profile.save(err => {
    if (err) {
      res.status(400);
    }
    else {
      res.status(201);
      res.data = {profile};
    }
    next()
  });
}

export default addUser;