import { Application } from 'express';
import login from '../middlewares/auth/login';
import complete from '../middlewares/auth/complete';
import logout from '../middlewares/auth/logout';
import authenticated from '../middlewares/auth/authenticated';

 const authRoute = (app: Application): void => {
    app.get('/api/v1/login', login() );

    app.get('/api/v1/complete', complete() );

    app.get('/api/v1/logout', authenticated(), logout() );
}

export default authRoute;