import { Application, Response } from "express";
import getNewsListMiddleware from "../middlewares/news/getNewsList";
import addNews from "../middlewares/news/addNews";
import getNews from "../middlewares/news/getNews";
import deleteNews from "../middlewares/news/deleteNews";

export default (app: Application): void => {
  app.get("/api/v1/news", getNewsListMiddleware(), (req, res: Response) => {
    if (res.data.news) {
      res.json(res.data.news);
    } else {
      throw Error("Cant get the news list");
    }
  });

  app.post("/api/v1/news", addNews(), (req, res: Response) => {
    if (res.data.newsObject) {
      res.json(res.data.newsObject);
    } else {
      throw Error("Cant add news");
    }
  });

  app.get("/api/v1/news/:id", getNews(), (req, res: Response) => {
    if (res.data.newsObject) {
      res.json(res.data.newsObject);
    } else {
      throw Error("Cant get the news");
    }
  });

  app.post("/api/v1/news/:id");

  app.delete("/api/v1/news/:id", deleteNews());
};
